using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VRage.Collections;
using VRage.Input;
using VRageMath;

namespace UIFun.Menu.Dialog
{
	public class DialogBox
	{
		public bool Active = false;
		public DialogBox()
		{

		}
		virtual public void Draw()
		{

		}
		virtual public void onKeyPress(List<MyKeys> keys)
		{

		}
		virtual public void onTextInput(ListReader<char> input)
		{

		}
		virtual public void onMouseDown(Vector2D MousePosition, bool left, bool right)
		{

		}
		virtual public void onMouseRelease(Vector2D MousePosition, bool left, bool right)
		{

		}
		virtual public void onClick(Vector2D MousePosition, bool left, bool right)
		{

		}
		virtual public void onMouseOver(Vector2D MousePosition)
		{

		}
		virtual public void Confirm()
		{
			Active = false;
		}
		virtual public void Cancel()
		{
			Active = false;
		}
		virtual public void Reset()
		{

		}
	}
}
